Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.xml
[Groovy] Class XmlCollectionRenderer

    java.lang.Object
      org.grails.plugins.web.rest.render.xml.DefaultXmlRenderer
          grails.rest.render.xml.XmlRenderer
              grails.rest.render.xml.XmlCollectionRenderer

All Implemented Interfaces:
  ContainerRenderer

    @groovy.transform.CompileStatic
    class XmlCollectionRenderer
    extends XmlRenderer

A XML renderer for a collection of objects

Since:
  2.3.1

Property Summary
`java.lang.Class` | `componentType`

Constructor Summary
`XmlCollectionRenderer(java.lang.Class componentType)`
`XmlCollectionRenderer(java.lang.Class targetType, MimeType... mimeTypes)`

Method Summary
`protected void` | `renderXml(XML converter, RenderContext context)`

Methods inherited from class XmlRenderer
registerCustomConverter, registerCustomMarshaller, renderXml

Methods inherited from class DefaultXmlRenderer
render, renderXml, renderXml

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### componentType

    final java.lang.Class componentType

Constructor Detail

### XmlCollectionRenderer

    XmlCollectionRenderer(java.lang.Class componentType)

### XmlCollectionRenderer

    XmlCollectionRenderer(java.lang.Class targetType, MimeType... mimeTypes)

Method Detail

### renderXml

    @java.lang.Override
    protected void renderXml(XML converter, RenderContext context)

Groovy Documentation